Get all candidate interviews in the recruiting agency
get
/hcmRestApi/resources/11.13.18.05/recruitingUIAgencyCandidateInterviews
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds all candidate interviews in the recruiting agency using a primary key.
Finder Variables- ScheduleInterviewId; integer; Primary key used to find candidate interviews in the recruiting agency.
- findByPersonId Finds all candidate interviews in the recruiting agency using a person identifier.
Finder Variables- PersonId; integer; Person identifier used to find candidate interviews in the recruiting agency.
- findBySubmissionId Finds all candidate interviews in the recruiting agency using a candidate job application.
Finder Variables- SubmissionId; integer; Job application identifier used to find candidate interviews in the recruiting agency.
- PrimaryKey Finds all candidate interviews in the recruiting agency using a primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AddressId; integer; Address identifier of the candidate interview location in the recruiting agency.
- AddressLine1; string; Address line 1 of the candidate interview location in the recruiting agency.
- AddressLine2; string; Address line 2 of the candidate interview location in the recruiting agency.
- AddressLine3; string; Address line 3 of the candidate interview location in the recruiting agency.
- AddressLine4; string; Address line 4 of the candidate interview location in the recruiting agency.
- Building; string; Building of the candidate interview location in the recruiting agency. This attribute specifies the physical location or venue for the interview.
- Country; string; Country of the candidate interview location in the recruiting agency. This field identifies the location context for the interview.
- CreatedBy; string; Indicates who created the candidate interview in the recruiting agency. This field is read-only and automatically populated by the system.
- EndDate; string; End date of the candidate interview in the recruiting agency. This date marks the conclusion of the interview session.
- FloorNumber; string; Floor number of the candidate interview location in the recruiting agency.
- FormattedEndDate; string; Formatted end date of the candidate interview in the recruiting agency. This date indicates when the interview is scheduled to conclude.
- FormattedMultiLineAddress; string; Formatted multiline address of the candidate interview location in the recruiting agency. This field displays the complete address in a readable format.
- FormattedPhoneNumber; string; Formatted phone number of the candidate interview in the recruiting agency.
- FormattedStartDate; string; Formatted start date of the candidate interview in the recruiting agency. This date indicates when the interview is scheduled to begin.
- InterviewType; string; Interview type of the candidate interview in the recruiting agency. This value determines the format or purpose of the interview, such as phone or in person.
- InterviewTypeMeaning; string; Interview type meaning of the candidate interview in the recruiting agency.
- IntrvwRequestsId; integer; Interview request identifier of a candidate interview in the recruiting agency.
- IsScheduled; string; Indicates whether the candidate interview is scheduled in the recruiting agency. Valid values are Y and N. Default is N.
- LocationType; string; Location type of the candidate interview in the recruiting agency. Valid values are defined in the system.
- LocationTypeMeaning; string; Location type meaning of the candidate interview in the recruiting agency.
- LongPostalCode; string; Long postal code of the candidate interview in the recruiting agency.
- ParticipantsList; string; List of interview participants in the recruiting agency.
- PersonId; integer; Person identifier of the candidate interview in the recruiting agency.
- PhoneAreaCode; string; Phone area code of the candidate interview in the recruiting agency.
- PhoneCountryCodeNumber; string; Phone country code of the candidate interview in the recruiting agency.
- PhoneNumber; string; Phone number of the candidate interview in the recruiting agency.
- PhoneNumberPasscode; string; Phone number passcode of the candidate interview in the recruiting agency. Used to authenticate or access interview details.
- PostalCode; string; Postal code of the candidate interview in the recruiting agency.
- RequisitionId; integer; Requisition identifier of the candidate interview in the recruiting agency.
- ScheduleId; integer; Schedule identifier of the candidate interview in the recruiting agency.
- ScheduleInterviewId; integer; Schedule interview identifier of the candidate interview in the recruiting agency.
- ScheduleTitle; string; Schedule title of the candidate interview in the recruiting agency.
- StartDate; string; Start date of the candidate interview in the recruiting agency.
- Status; string; Status of the candidate interview in the recruiting agency. This field reflects whether the interview is pending, confirmed, or completed.
- StatusMeaning; string; Status meaning of the candidate interview in the recruiting agency.
- SubmissionId; integer; Job application identifier of the candidate interview in the recruiting agency.
- TotalSeatsCount; integer; Total seats count of the candidate interview in the recruiting agency.
- TownOrCity; string; Town or city of the candidate interview in the recruiting agency.
- WebConferenceLink; string; Web conference link of the candidate interview in the recruiting agency.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : recruitingUIAgencyCandidateInterviews
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : recruitingUIAgencyCandidateInterviews-item-response
Type:
Show Source
object-
AddressId: integer
(int64)
Read Only:
trueAddress identifier of the candidate interview location in the recruiting agency. -
AddressLine1: string
Read Only:
trueMaximum Length:240Address line 1 of the candidate interview location in the recruiting agency. -
AddressLine2: string
Read Only:
trueMaximum Length:240Address line 2 of the candidate interview location in the recruiting agency. -
AddressLine3: string
Read Only:
trueMaximum Length:240Address line 3 of the candidate interview location in the recruiting agency. -
AddressLine4: string
Read Only:
trueMaximum Length:240Address line 4 of the candidate interview location in the recruiting agency. -
Building: string
Read Only:
trueMaximum Length:240Building of the candidate interview location in the recruiting agency. This attribute specifies the physical location or venue for the interview. -
Country: string
Read Only:
trueMaximum Length:60Country of the candidate interview location in the recruiting agency. This field identifies the location context for the interview. -
CreatedBy: string
Read Only:
trueMaximum Length:240Indicates who created the candidate interview in the recruiting agency. This field is read-only and automatically populated by the system. -
EndDate: string
(date-time)
Read Only:
trueEnd date of the candidate interview in the recruiting agency. This date marks the conclusion of the interview session. -
FloorNumber: string
Read Only:
trueMaximum Length:40Floor number of the candidate interview location in the recruiting agency. -
FormattedEndDate: string
Maximum Length:
255Formatted end date of the candidate interview in the recruiting agency. This date indicates when the interview is scheduled to conclude. -
FormattedMultiLineAddress: string
Read Only:
trueMaximum Length:255Formatted multiline address of the candidate interview location in the recruiting agency. This field displays the complete address in a readable format. -
FormattedPhoneNumber: string
Read Only:
trueMaximum Length:4000Formatted phone number of the candidate interview in the recruiting agency. -
FormattedStartDate: string
Maximum Length:
255Formatted start date of the candidate interview in the recruiting agency. This date indicates when the interview is scheduled to begin. -
InterviewNotes: string
Read Only:
trueInterview notes of the candidate interview in the recruiting agency. -
InterviewParticipantsUI: array
Interview Participants in Recruiting Agency
Title:
Interview Participants in Recruiting AgencyThe InterviewParticipantsUI resource provides access to interview participants in the recruiting agency. -
InterviewType: string
Read Only:
trueMaximum Length:32Interview type of the candidate interview in the recruiting agency. This value determines the format or purpose of the interview, such as phone or in person. -
InterviewTypeMeaning: string
Read Only:
trueMaximum Length:80Interview type meaning of the candidate interview in the recruiting agency. -
IntrvwRequestsId: integer
(int64)
Read Only:
trueInterview request identifier of a candidate interview in the recruiting agency. -
IsScheduled: string
Read Only:
trueMaximum Length:1Indicates whether the candidate interview is scheduled in the recruiting agency. Valid values are Y and N. Default is N. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocationDetails: string
Read Only:
trueLocation type of the candidate interview in the recruiting agency. Valid values are defined in the system. -
LocationType: string
Read Only:
trueMaximum Length:32Location type of the candidate interview in the recruiting agency. Valid values are defined in the system. -
LocationTypeMeaning: string
Read Only:
trueMaximum Length:80Location type meaning of the candidate interview in the recruiting agency. -
LongPostalCode: string
Read Only:
trueMaximum Length:30Long postal code of the candidate interview in the recruiting agency. -
ParticipantsList: string
Read Only:
trueMaximum Length:4000List of interview participants in the recruiting agency. -
PersonId: integer
(int64)
Read Only:
truePerson identifier of the candidate interview in the recruiting agency. -
PhoneAreaCode: string
Read Only:
trueMaximum Length:30Phone area code of the candidate interview in the recruiting agency. -
PhoneCountryCodeNumber: string
Read Only:
trueMaximum Length:30Phone country code of the candidate interview in the recruiting agency. -
PhoneNumber: string
Read Only:
trueMaximum Length:60Phone number of the candidate interview in the recruiting agency. -
PhoneNumberPasscode: string
Read Only:
trueMaximum Length:30Phone number passcode of the candidate interview in the recruiting agency. Used to authenticate or access interview details. -
PostalCode: string
Read Only:
trueMaximum Length:30Postal code of the candidate interview in the recruiting agency. -
RequisitionId: integer
(int64)
Read Only:
trueRequisition identifier of the candidate interview in the recruiting agency. -
ScheduleId: integer
(int64)
Read Only:
trueSchedule identifier of the candidate interview in the recruiting agency. -
ScheduleInterviewId: integer
(int64)
Read Only:
trueSchedule interview identifier of the candidate interview in the recruiting agency. -
ScheduleTitle: string
Read Only:
trueMaximum Length:64Schedule title of the candidate interview in the recruiting agency. -
StartDate: string
(date-time)
Read Only:
trueStart date of the candidate interview in the recruiting agency. -
Status: string
Read Only:
trueMaximum Length:32Status of the candidate interview in the recruiting agency. This field reflects whether the interview is pending, confirmed, or completed. -
StatusMeaning: string
Read Only:
trueMaximum Length:80Status meaning of the candidate interview in the recruiting agency. -
SubmissionId: integer
Read Only:
trueJob application identifier of the candidate interview in the recruiting agency. -
TotalSeatsCount: integer
(int32)
Read Only:
trueTotal seats count of the candidate interview in the recruiting agency. -
TownOrCity: string
Read Only:
trueMaximum Length:60Town or city of the candidate interview in the recruiting agency. -
WebConferenceLink: string
Read Only:
trueMaximum Length:4000Web conference link of the candidate interview in the recruiting agency.
Nested Schema : Interview Participants in Recruiting Agency
Type:
arrayTitle:
Interview Participants in Recruiting AgencyThe InterviewParticipantsUI resource provides access to interview participants in the recruiting agency.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : recruitingUIAgencyCandidateInterviews-InterviewParticipantsUI-item-response
Type:
Show Source
object-
AssignmentName: string
Read Only:
trueMaximum Length:80Assignment name of the interview participant in the recruiting agency. -
DisplayName: string
Read Only:
trueMaximum Length:240Display name of the interview participant in the recruiting agency. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParticipantTypeMeaning: string
Read Only:
trueMaximum Length:80Participant type meaning of the interview participant in the recruiting agency. -
PersonId: integer
Read Only:
truePerson identifier of the interview participant in the recruiting agency. -
ScheduleInterviewId: integer
(int64)
Read Only:
trueSchedule interview identifier of the interview participant in the recruiting agency.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- cancelInterview
-
Operation: /hcmRestApi/resources/11.13.18.05/recruitingUIAgencyCandidateInterviews/action/cancelInterviewCancels a candidate interview in the recruiting agency. This action updates the interview status and notifies relevant parties.